<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>ReaderResouce (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReaderResouce (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReaderResouce.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/service/resources/JobResource.html" title="class in org.apache.nutch.service.resources"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/service/resources/SeedResource.html" title="class in org.apache.nutch.service.resources"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/service/resources/ReaderResouce.html" target="_top">Frames</a></li>
<li><a href="ReaderResouce.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.service.resources</div>
<h2 title="Class ReaderResouce" class="title">Class ReaderResouce</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.service.resources.ReaderResouce</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Path(value="/reader")
public class <span class="typeNameLabel">ReaderResouce</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">The Reader endpoint enables a user to read sequence files, 
 nodes and links from the Nutch webgraph.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sujen Shah</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/resources/ReaderResouce.html#ReaderResouce--">ReaderResouce</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>javax.ws.rs.core.Response</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/resources/ReaderResouce.html#linkRead--">linkRead</a></span>()</code>
<div class="block">Get Link Reader response schema</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>javax.ws.rs.core.Response</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/resources/ReaderResouce.html#linkRead-org.apache.nutch.service.model.request.ReaderConfig-int-int-int-boolean-">linkRead</a></span>(<a href="../../../../../org/apache/nutch/service/model/request/ReaderConfig.html" title="class in org.apache.nutch.service.model.request">ReaderConfig</a>&nbsp;readerConf,
        int&nbsp;nrows,
        int&nbsp;start,
        int&nbsp;end,
        boolean&nbsp;count)</code>
<div class="block">Read link object</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>javax.ws.rs.core.Response</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/resources/ReaderResouce.html#nodeRead--">nodeRead</a></span>()</code>
<div class="block">Get schema of the Node object</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>javax.ws.rs.core.Response</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/resources/ReaderResouce.html#nodeRead-org.apache.nutch.service.model.request.ReaderConfig-int-int-int-boolean-">nodeRead</a></span>(<a href="../../../../../org/apache/nutch/service/model/request/ReaderConfig.html" title="class in org.apache.nutch.service.model.request">ReaderConfig</a>&nbsp;readerConf,
        int&nbsp;nrows,
        int&nbsp;start,
        int&nbsp;end,
        boolean&nbsp;count)</code>
<div class="block">Read Node object as stored in the Nutch Webgraph</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>javax.ws.rs.core.Response</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/service/resources/ReaderResouce.html#seqRead-org.apache.nutch.service.model.request.ReaderConfig-int-int-int-boolean-">seqRead</a></span>(<a href="../../../../../org/apache/nutch/service/model/request/ReaderConfig.html" title="class in org.apache.nutch.service.model.request">ReaderConfig</a>&nbsp;readerConf,
       int&nbsp;nrows,
       int&nbsp;start,
       int&nbsp;end,
       boolean&nbsp;count)</code>
<div class="block">Read a sequence file</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ReaderResouce--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ReaderResouce</h4>
<pre>public&nbsp;ReaderResouce()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="seqRead-org.apache.nutch.service.model.request.ReaderConfig-int-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>seqRead</h4>
<pre>@Path(value="/sequence/read")
 @POST
 @Consumes(value="application/json")
 @Produces(value="application/json")
public&nbsp;javax.ws.rs.core.Response&nbsp;seqRead(<a href="../../../../../org/apache/nutch/service/model/request/ReaderConfig.html" title="class in org.apache.nutch.service.model.request">ReaderConfig</a>&nbsp;readerConf,
                                                                                                                                                        @DefaultValue(value="-1") @QueryParam(value="nrows")
                                                                                                                                                        int&nbsp;nrows,
                                                                                                                                                        @DefaultValue(value="-1") @QueryParam(value="start")
                                                                                                                                                        int&nbsp;start,
                                                                                                                                                        @QueryParam(value="end")
                                                                                                                                                        int&nbsp;end,
                                                                                                                                                        @QueryParam(value="count")
                                                                                                                                                        boolean&nbsp;count)</pre>
<div class="block">Read a sequence file</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>readerConf</code> - </dd>
<dd><code>nrows</code> - Number of rows to read. If not specified all rows will be read</dd>
<dd><code>start</code> - Specify a starting line number to read the file from</dd>
<dd><code>end</code> - The line number to read the file till</dd>
<dd><code>count</code> - Boolean value. If true, this endpoint will return the number of lines in the line</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Appropriate HTTP response based on the query</dd>
</dl>
</li>
</ul>
<a name="linkRead--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>linkRead</h4>
<pre>@Path(value="/link")
 @GET
 @Produces(value="application/json")
public&nbsp;javax.ws.rs.core.Response&nbsp;linkRead()</pre>
<div class="block">Get Link Reader response schema</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>JSON object specifying the schema of the responses returned by the Link Reader</dd>
</dl>
</li>
</ul>
<a name="linkRead-org.apache.nutch.service.model.request.ReaderConfig-int-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>linkRead</h4>
<pre>@Path(value="/link/read")
 @POST
 @Consumes(value="application/json")
 @Produces(value="application/json")
public&nbsp;javax.ws.rs.core.Response&nbsp;linkRead(<a href="../../../../../org/apache/nutch/service/model/request/ReaderConfig.html" title="class in org.apache.nutch.service.model.request">ReaderConfig</a>&nbsp;readerConf,
                                                                                                                                                     @DefaultValue(value="-1") @QueryParam(value="nrows")
                                                                                                                                                     int&nbsp;nrows,
                                                                                                                                                     @DefaultValue(value="-1") @QueryParam(value="start")
                                                                                                                                                     int&nbsp;start,
                                                                                                                                                     @QueryParam(value="end")
                                                                                                                                                     int&nbsp;end,
                                                                                                                                                     @QueryParam(value="count")
                                                                                                                                                     boolean&nbsp;count)</pre>
<div class="block">Read link object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>readerConf</code> - </dd>
<dd><code>nrows</code> - </dd>
<dd><code>start</code> - </dd>
<dd><code>end</code> - </dd>
<dd><code>count</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="nodeRead--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodeRead</h4>
<pre>@Path(value="/node")
 @GET
 @Produces(value="application/json")
public&nbsp;javax.ws.rs.core.Response&nbsp;nodeRead()</pre>
<div class="block">Get schema of the Node object</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="nodeRead-org.apache.nutch.service.model.request.ReaderConfig-int-int-int-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nodeRead</h4>
<pre>@Path(value="/node/read")
 @POST
 @Consumes(value="application/json")
 @Produces(value="application/json")
public&nbsp;javax.ws.rs.core.Response&nbsp;nodeRead(<a href="../../../../../org/apache/nutch/service/model/request/ReaderConfig.html" title="class in org.apache.nutch.service.model.request">ReaderConfig</a>&nbsp;readerConf,
                                                                                                                                                     @DefaultValue(value="-1") @QueryParam(value="nrows")
                                                                                                                                                     int&nbsp;nrows,
                                                                                                                                                     @DefaultValue(value="-1") @QueryParam(value="start")
                                                                                                                                                     int&nbsp;start,
                                                                                                                                                     @QueryParam(value="end")
                                                                                                                                                     int&nbsp;end,
                                                                                                                                                     @QueryParam(value="count")
                                                                                                                                                     boolean&nbsp;count)</pre>
<div class="block">Read Node object as stored in the Nutch Webgraph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>readerConf</code> - </dd>
<dd><code>nrows</code> - </dd>
<dd><code>start</code> - </dd>
<dd><code>end</code> - </dd>
<dd><code>count</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ReaderResouce.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/service/resources/JobResource.html" title="class in org.apache.nutch.service.resources"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/service/resources/SeedResource.html" title="class in org.apache.nutch.service.resources"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/service/resources/ReaderResouce.html" target="_top">Frames</a></li>
<li><a href="ReaderResouce.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
